#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int n, k, x;

int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n >> k >> x;
    int cur = 1;
    if (k == 3) {
        if (n == 3) {
            cout << 1 << " " << 1 + x << " " << 1 + x + x;
        }
        else {
            cout << cur << " ";
            cur += x;
            for (int i = 1; i < n; i++) {
                if (k > 0) {
                    cout << cur << " ";
                    k--;
                }
                else {
                    cout << ceil((1 + cur) / 2) << " ";
                }
            }
        }
    }

    else {
        cout << -1;
    }

    return 0;
}